Skip to main content

What browsers does the library website support?

Our website supports:

  • Firefox version 31 and above
  • Chrome version 31 and above
  • Safari version 9 and above
  • Internet Explorer version 11 and above

As of June 1, 2017, we are no longer able to support other internet browsers to protect your security, privacy, and overall experience of our website.

Can't find what you're looking for?  Contact us.